---
title: deleteAccount
slug: ki/deleteaccount
description: Learn how to delete a user connection permanently using an API in this comprehensive document. Get step-by-step instructions on making a POST request with the connection key in the request body. This guide also provides helpful examples of both the reques
docTags: 
createdAt: 2023-06-30T03:33:35.516Z
---

To delete the user connection upon their request, you need to call the following API through POST.&#x20;

**Request parameter**: None

**Body:**

| **Name**      | **Type** | **Required** | **Description**                 |
| ------------- | -------- | ------------ | ------------------------------- |
| connectionKey | String   | Yes          | The tracking number of the task |

:::hint{type="info"}
💡 **Note:**

**such deletion is permanent and can’t be recovered**
:::

**Return data**: None

**Request example**:

```curl
curl -s -L -X POST 'https://api-testing.klavi.ai/link/external/v2/deleteAccount' \
-H 'Authorization: K1-HMAC-SHA256 Credential=AKIDz8krbsJ5yKBZQpn74WFkmLPx3*******/2019-02-25/cbms/k1_request, SignedHeaders=content-type;host, Signature=cca1508a396977d25e548bebe8fecf54d1b40c2400177dc802068d94f6b9d7bb' \
-H 'X-Timestamp: 1551113065' \
-H 'Content-Type: application/json;charset=UTF-8' \
-H 'X-Region: ap-brazil' \
--data-raw '{"connectionKey":"7d3f54f43dd54cf4ba323a2350247c55"}'
```

**Return example**:

```json
{
    "code":200,
    "msg":"Solicitação realizada com sucesso",
    "data":{

    }
}
```

